uk.gov.hmrc.alertconfig.builders

# EnvironmentAlertBuilder

###
Related Doc: package builders

#### case class EnvironmentAlertBuilder(handlerName: String, enabledEnvironments: Map[Environment, Set[Severity]] = ...) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. EnvironmentAlertBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new EnvironmentAlertBuilder(handlerName: String, enabledEnvironments: Map[Environment, Set[Severity]] = ...)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def alertConfigFor(environment: Environment): (String, JsObject)

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val enabledEnvironments: Map[Environment, Set[Severity]]

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val handlerName: String

12. #### def inDevelopment(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

13. #### def inExternalTest(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

14. #### def inIntegration(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

15. #### def inManagement(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

16. #### def inProduction(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

17. #### def inQa(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

18. #### def inStaging(severities: Set[Severity] = defaultSeverities): EnvironmentAlertBuilder

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped